# SeedPics

This is a gem for seeding your data base with image urls so you can focus on development. 

- SeedPics
    - [Installing](#installing)
    - [Usage](#usage)
        - [Person](#person)
        - [Animal](#animal)
        - [Product](#product)
        - [Landscape](#landscape)
        - [Building](#building)
    - [Contributing](#contributing)
    - [License](#license)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'seed_pics'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install seed_pics

## Usage

### Person

- Groups of people: 


      SeedPics::Person.group

- Families:   
   
  
      SeedPics::Person.family

- Generic Avatar  
   

      SeedPics::Person.avatar

- Outward appearing male individuals  
  
      SeedPics::Person.male

- Outward appearing female individuals       
      
      SeedPics::Person.female

- working on adding nonbianary, would love to have input from contributers 

### Animal

- Cat

        SeedPics::Animal.cat
- Dog

        SeedPics::Animal.dog
- Horse

        SeedPics::Animal.horse
- Fish

        SeedPics::Animal.fish
- Snake

        SeedPics::Animal.snake
- Lizard

        SeedPics::Animal.lizard
- Rodent 

        SeedPics::Animal.rodent
- Bird

        SeedPics::Animal.bird
- Wild Animal

        SeedPics::Animal.wild
- Woodland Animal

        SeedPics::Animal.woodland

### Product

- Clothes

      SeedPics::Product.clothes

- Food 

      SeedPics::Product.food

- Kitchen items 

      SeedPics::Product.kitchen

- Bag

      SeedPics::Product.bag

- Container

      SeedPics::Product.container

- Mechanical

      SeedPics::Product.mechanical

- Tech
 
      SeedPics::Product.tech

- Music

      SeedPics::Product.music


### Landscape

- Season

    - Summer Landscapes

          SeedPics::Landscape.season_landscape
    - Winter Landscapes

          SeedPics::Landscape.season_landscape(1) 
        
    - Spring Landscapes

          SeedPics::Landscape.season_landscape(2)
    - Fall Landscapes

          SeedPics::Landscape.season_landscape(3)
    
- Rural Landscape

        SeedPics::Landscape.rural

- Landscapes with water 

        SeedPics::Landscape.with_water
### Building
- Office

        SeedPics::Building.office_building

- Store front 

        SeedPics::Building.store_building
- City

        SeedPics::Building.city_building
- Rural

        SeedPics::Building.rural_building
- Houses 

        SeedPics::Building.house

- Future Ideas 
    - rooms, coffee shops, bars, library


## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/evereichmann/seed_pics. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/evereichmann/seed_pics/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the SeedPics project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/evereichmann/seed_pics/blob/master/CODE_OF_CONDUCT.md).
